﻿#region Copyright Syncfusion Inc. 2001 - 2011
// Copyright Syncfusion Inc. 2001 - 2011. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Printing;
using Syncfusion.Pdf.Parsing;
using System.IO;
using Syncfusion.Windows.Forms.PdfViewer;
using System.Drawing.Imaging;
using System.Threading;
using System.Globalization;

namespace GettingStarted
{
    public partial class Form1 : Form
    {
        
        public Form1()
        {
            InitializeComponent();            
        }

       

        private void Form1_Load(object sender, EventArgs e)
        {
            PdfViewerControl pdfViewerControl = new PdfViewerControl();
            pdfViewerControl.Load("../../Data/Barcode.pdf");
            this.Controls.Add(pdfViewerControl);
            pdfViewerControl.Dock = DockStyle.Fill;
            Dictionary<int, List<RectangleF>> matchText = new Dictionary<int, List<RectangleF>>();
            pdfViewerControl.FindText("Linear", out matchText);
            RectangleF rect = matchText[0][0];
            MessageBox.Show("Text Linear is at coordinates X " + rect.X + " Y= " + rect.Y);     
        }        
    }  
}
